Package org.apache.sling.installer.api.tasks

# Interface UpdatableResourceGroup

@ProviderType public interface UpdatableResourceGroup
This is a group of resources all pointing to the same artifact, but maybe in different versions or locations. This object allows to update the alias and the resource id of the group as a whole.

Since:
  1.5.0

## Method Summary

Modifier and Type
Method
Description
`@Nullable String`
`getAlias()`
Get the current alias for this group.
`@NotNull String`
`getId()`
Get the unique id
`@NotNull String`
`getResourceType()`
Get the resource type of the group
`void`
`setAlias(@Nullable String value)`
Set the current alias for this group.
`void`
`setId(@NotNull String id)`
Set a new unique id.
`void`
`update()`
Update the OSGi installer with the new information If this method is not called, changed made through the setter methods are discarded.

## Method Details

### getAlias

@Nullable @Nullable String getAlias()
Get the current alias for this group.

Returns:
  The alias or `null`.

### setAlias

void setAlias(@Nullable @Nullable String value)
Set the current alias for this group.

Parameters:
  `value` - A new alias or `null`.

### getResourceType

@NotNull @NotNull String getResourceType()
Get the resource type of the group

Returns:
  The resource type.

### getId

@NotNull @NotNull String getId()
Get the unique id

Returns:
  The unique id

### setId

void setId(@NotNull @NotNull String id)
Set a new unique id.

Parameters:
  `id` - The unique id
Throws:
  `IllegalArgumentException` - If `id` is `null`.

### update

void update()
Update the OSGi installer with the new information If this method is not called, changed made through the setter methods are discarded.